Clone a Slice

Type: POST

https://cloud.syminet.com/api/v1/slices/{SLICE_ID}/clone

Clone SLICE_ID. You can create clones while your slice continues to run. By default, they are the same size but you can specify a larger size for clones.

Required URL Parameters:

SLICE_ID

Slice ID to clone.

Required JSON Properties:

slice_name

Slice name.

Optional JSON Properties:

size

Slug for size / plan of new slice. Must be same size (default if not provided), or larger than existing size. See the panel slug reference page at https://cloud.syminet.com/slices/slugs or the slug reference page for API access to slugs.

private_ip

Assign private IP if == “True”

enable_backups

Enable automatic backups if == “True”

fw_id

Firewall ID to assign to the clone.

Curl
 curl --request POST \
      --url https://cloud.syminet.com/api/v1/slices/SLICE_ID/clone \
      --header "content-type: application/json" \
      --header "authorization:bearer $API_TOKEN" \
      --data '
      {
         "slice_name": "11test1.com-clone",
         "size": "s-8gb",
         "private_ip": "True",
         "enable_backups": "True"
      }
      '
Response
{
  "backups_disabled": null,
  "backups_enabled": false,
  "building": 1,
  "bw_current": 0,
  "bw_previous": 0,
  "created": "2025-02-06 17:19:36.925397",
  "datacenter_id": 6,
  "deleted": null,
  "disk": 80,
  "disk_allocated": 1,
  "fw_id": null,
  "fw_status": null,
  "host_id": 50,
  "id": 3827,
  "ip": "74.80.234.190",
  "ip_private": null,
  "isrunning": null,
  "last_backup": null,
  "legacy": null,
  "notes": null,
  "osinfo": "debian12",
  "osname": "Debian 12",
  "percent_complete": null,
  "progress": "queued",
  "ram": 8,
  "region": "SFO1",
  "slug": "s-8gb",
  "smtp": true,
  "status": "resize",
  "symscript_id": null,
  "user_id": 1423,
  "vcpu": 4,
  "vm_uuid": "f4dbbae0-119a-416f-badb-fbfd8e12347d",
  "vmname": "11test1.com-clone"
}